Bug 442626 - RFE: yum works out minimal deps. required for a set of packages (so order of requires: doesn't matter)
RFE: yum works out minimal deps. required for a set of packages (so order of ...
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-04-15 16:58 EDT by Jeremy Katz
Modified: 2014-01-21 18:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-04-29 16:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-04-15 16:58:14 EDT
Interesting little behavior with depsolving for festival.  It requires
festival-voice and festvox-arctic-hts.  The latter provides festival-voice.  But
there's a shorter named provider too.  Hence, they both get pulled in somewhat
Comment 1 James Antill 2008-04-15 17:27:05 EDT
 This doesn't stand much chance of getting fixed in the short term. as it
basically requires "weak deps" in our depsolver ... and it's painful.

 However there is a simplish work around, atm. festival.spec has:

Requires: festival-voice
Requires: festvox-slt-arctic-hts

...and AFAIK the deps. come out of rpmbuild in the order it sees them, so if you
reverse the above two lines rpm will record the deps. in the opposite order and
yum will process them in the opposite order and so see that -voice is already
satisfied when it comes to look for it.

 I'm 99% this will all work, but no guarantees :).
Comment 2 Jeremy Katz 2008-04-15 17:29:29 EDT
We should fix it some day though :)
Comment 3 Bug Zapper 2008-05-14 05:30:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 James Antill 2010-04-29 16:58:11 EDT
We now count the direct deps. ... this might have fixed the above case, but the pkg. is fixed anyway.
Doing anything much harder than that would probably be painful, in the short term. ... so I'm going to close this.

Note You need to log in before you can comment on or make changes to this bug.